//AABB - [2020-04-13 11:57:46]
#ifndef _AABB_H_
#define _AABB_H_

#include "common.h"

/*
001B2928 AABB::AABB()
001B452C AABB::Combine(AABB const&,bool)
001B4724 AABB::Overlap(AABB const&,AABB const&,bool)

v7 = (AABB *)operator new(0x40, 0, 0, a4);
AABB::AABB(v7);
*/

class AABB {
public:
  AABB();
  float *Combine(AABB const&a2, int a3);
  int Overlap(const AABB *a2, int a3);

  float field_0[16];
};

#endif  //_AABB_H_